Subject: Re: Pipes truncating data in cygwin from main and cygwin-3_4-branch
From: キャロウ マーク via Cygwin<[email-masked]>
To: Takashi Yano <[email-masked]>
Cc: [email-masked]
Date: Tue, 15 Aug 2023 19:01:39 +0900
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

> On Aug 15, 2023, at 18:09, キャロウ　マーク <[email-masked]> wrote:
> 
> ...
> 
> I will put some tracing in `test-pipe.c++` to see whether it is currently buffering or not.

Indeed the seekg is returning success so my code uses the path where it is expected to work. If I force buffering, the test passes.

I tried the same tests in PowerShell instead of Git for Windows Bash. There too seekg() reports success.  If I force buffering tellg() after isp->seekg(0, ios_base::end) reports 171,926 bytes vs a file size of 170,512 which is strange. Without buffering tellg() reports 8192 bytes. Basically the same behaviour as with G4W bash except there tellg() reports 170,512 bytes and 126,976 bytes respectively.

> 
> We’ve only tested non-Cygwin consumers. When the author of the above GitHub issue comment was testing on Cygwin he compiled the consumer with mingw-w64 g++.
> 

If Cygwin consumers also see this changed seekg behaviour then they will have problems too.

Regards

    -Mark

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple